# Copyright 2021 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Allow list for setting the resource outputs (.srcjar, R.txt, and _resources.jar) of android_library to
those files generated by the Starlark resource processing pipeline and not the native resource
processing pipeline. These resource-related predeclared outputs need to be re-pointed to the corresponding
artifacts in the Starlark pipeline. See b/177261846."""

# keep sorted
ANDROID_LIBRARY_STARLARK_RESOURCE_OUTPUTS_ROLLOUT = [
    "//:__subpackages__",
]

ANDROID_LIBRARY_STARLARK_RESOURCE_OUTPUTS_FALLBACK = [
]
